# Uses of Interface
javax.swing.event.TreeExpansionListener

Packages that use TreeExpansionListener
Package
Description
com.sun.java.accessibility.util
Provides a collection of interfaces and classes that compose the Java Accessibility Utilities.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.

- ## Uses of TreeExpansionListener in com.sun.java.accessibility.util

  Methods in com.sun.java.accessibility.util with parameters of type TreeExpansionListener
  Modifier and Type
  Method
  Description
  `static void`
  SwingEventMonitor.`addTreeExpansionListener(TreeExpansionListener l)`
  Adds the specified listener to receive all `TREEEXPANSION` events on each component instance in the Java Virtual Machine as they occur.
  `static void`
  SwingEventMonitor.`removeTreeExpansionListener(TreeExpansionListener l)`
  Removes the specified listener so it no longer receives `TREEEXPANSION` events when they occur.

- ## Uses of TreeExpansionListener in javax.swing

  Classes in javax.swing that implement TreeExpansionListener
  Modifier and Type
  Class
  Description
  `protected class`
  `JTree.AccessibleJTree`
  This class implements accessibility support for the `JTree` class.
  Methods in javax.swing that return TreeExpansionListener
  Modifier and Type
  Method
  Description
  `TreeExpansionListener[]`
  JTree.`getTreeExpansionListeners()`
  Returns an array of all the `TreeExpansionListener`s added to this JTree with addTreeExpansionListener().
  Methods in javax.swing with parameters of type TreeExpansionListener
  Modifier and Type
  Method
  Description
  `void`
  JTree.`addTreeExpansionListener(TreeExpansionListener tel)`
  Adds a listener for `TreeExpansion` events.
  `void`
  JTree.`removeTreeExpansionListener(TreeExpansionListener tel)`
  Removes a listener for `TreeExpansion` events.

- ## Uses of TreeExpansionListener in javax.swing.plaf.basic

  Classes in javax.swing.plaf.basic that implement TreeExpansionListener
  Modifier and Type
  Class
  Description
  `class`
  `BasicTreeUI.TreeExpansionHandler`
  Updates the TreeState in response to nodes expanding/collapsing.
  Methods in javax.swing.plaf.basic that return TreeExpansionListener
  Modifier and Type
  Method
  Description
  `protected TreeExpansionListener`
  BasicTreeUI.`createTreeExpansionListener()`
  Creates and returns the object responsible for updating the treestate when nodes expanded state changes.